{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Server",
      "type": "debugpy",
      "request": "launch",
      "module": "uvicorn",
      "args": [
        "app.main:app",
        "--reload"
      ],
      "jinja": true,
      "justMyCode": true,
      "env": {
        "PYTHONPATH": "${workspaceFolder}/app",
        "DATA_DIR": "${workspaceFolder}/app/data"
      }
    },
    {
      "name": "Client",
      "type": "node",
      "request": "launch",
      "cwd": "${workspaceFolder}/frontend",
      "runtimeExecutable": "npm",
      "runtimeArgs": ["run", "dev"],
      "env": {
        "/data": "${workspaceFolder}/app/data",
      }
    }
  ],
  "compounds": [
    {
      "name": "Run FastAPI + Svelte",
      "configurations": ["Server", "Client"]
    }
  ]
}
